Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface ComponentMBean

All Known Subinterfaces:
  ConnectorComponentMBean, EJBComponentMBean, WebAppComponentMBean, WebServiceComponentMBean

public interface ComponentMBean
extends DeploymentMBean

A component is a specific type deployment that is part of a J2EE application (see ApplicationMBean). Typically it is a JAR, WAR or RAR file that contains application code. Deploying an application is primarily the sum of its component deployments. Components define the target servers for the application. A target may be a server or cluster. Web Applications may also reference Virtual hosts, which in turn define additional server/cluster targets.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`boolean` | `activated(TargetMBean target)` Indicates whether component has been activated on a server
`TargetMBean[]` | `getActivatedTargets()` List of servers and clusters where this module is currently active.
`ApplicationMBean` | `getApplication()` Return the application this component is a part of.
`java.lang.String` | `getURI()` Return a URI pointing to the application component, usually on the Admin Server.
`void` | `setApplication(ApplicationMBean app)` Set this component's application.
`void` | `setURI(java.lang.String uri)` Set the URI pointing to the application component, usually on the Admin Server.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getApplication

    public ApplicationMBean getApplication()

  Return the application this component is a part of. This is guaranteed to never be null.

  A non-configurable MBean attribute.

### setApplication

    public void setApplication(ApplicationMBean app)
                        throws javax.management.InvalidAttributeValueException

  Set this component's application.

### getURI

    public java.lang.String getURI()

  Return a URI pointing to the application component, usually on the Admin Server.

### setURI

    public void setURI(java.lang.String uri)

  Set the URI pointing to the application component, usually on the Admin Server. If the component is part of an application, this method will throw a ConfigurationError.

  A dynamic MBean attribute
  Legal NULL: false

### getActivatedTargets

    public TargetMBean[] getActivatedTargets()

  List of servers and clusters where this module is currently active. This attribute is valid only for modules deployed via the two phase protocol. Modules deployed with the WLS 6.x deployment protocol do not maintain this attribute. To determine active targets for a module regardless of deployment protocol, use `DeployerRuntimeMBean.lookupActiveTargetsForComponent(weblogic.management.configuration.ComponentMBean)`.

  A dynamic MBean attribute
  A non-configurable MBean attribute.
  See Also:
    `ApplicationMBean.isTwoPhase()`

### activated

    public boolean activated(TargetMBean target)

  Indicates whether component has been activated on a server

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference